local opt = vim.opt
local g = vim.g

-- [[ set tabs ]] --
-- Set the numbers of whitespace characters when shifting with "<" or ">".
-- In fact, in spite of expandtab, the terminal still displays whitespace charaters, 
-- so let's set the number of whitespace characters for ones press of these buttons.
opt.shiftwidth = 4

-- one tab == two whitespace characters in new line.
-- Pressing <CR> will insert tabs. Tabs are drawn as whitespace. 
-- that's why we have to set that each tab on a new line is two whitespace.
opt.tabstop = 4

-- Adjust new line to the previous indentation.
opt.smartindent = true

-- On pressing tab, insert 4 spaces.
opt.expandtab = true
opt.smarttab = true
opt.scrolloff = 8

-- Show unprintable.
opt.list = true
opt.listchars = {tab = '⁞ ', eol = '¬', trail = '·'}
